Selector (JavaFX 13)

Module javafx.graphics
Package javafx.css

## Class Selector

- java.lang.Object
- - javafx.css.Selector

- Direct Known Subclasses:
    `CompoundSelector`, `SimpleSelector`

      public abstract class Selector
      extends Object

  Used by CSSRule to determine whether or not the selector applies to a given object.
  Since:
    9

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Selector()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract boolean` | `applies​(Styleable styleable)` |
    `abstract boolean` | `applies​(Styleable styleable, Set<PseudoClass>[] triggerStates, int bit)` |
    `abstract Match` | `createMatch()` |
    `static Selector` | `createSelector​(String cssSelector)` |
    `int` | `getOrdinal()` |
    `Rule` | `getRule()` |
    `void` | `setOrdinal​(int ordinal)` |
    `abstract boolean` | `stateMatches​(Styleable styleable, Set<PseudoClass> state)` | Determines whether the current state of the node and its parents matches the pseudo-classes defined (if any) for this selector.
    `protected void` | `writeBinary​(DataOutputStream os, StyleConverter.StringStore stringStore)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Selector

          public Selector()

  - ### Method Detail

    - #### getRule

          public Rule getRule()

    - #### setOrdinal

          public void setOrdinal​(int ordinal)

    - #### getOrdinal

          public int getOrdinal()

    - #### createMatch

          public abstract Match createMatch()

    - #### applies

          public abstract boolean applies​(Styleable styleable)

    - #### applies

          public abstract boolean applies​(Styleable styleable,
                                          Set<PseudoClass>[] triggerStates,
                                          int bit)

    - #### stateMatches

          public abstract boolean stateMatches​(Styleable styleable,
                                               Set<PseudoClass> state)

      Determines whether the current state of the node and its parents matches the pseudo-classes defined (if any) for this selector.
      Parameters:
        `styleable` - the styleable
        `state` - the state
      Returns:
        `true` if the current state of the node and its parents matches the pseudo-classes defined (if any) for this selector

    - #### writeBinary

          protected void writeBinary​(DataOutputStream os,
                                     StyleConverter.StringStore stringStore)
                              throws IOException

      Throws:
        `IOException`

    - #### createSelector

          public static Selector createSelector​(String cssSelector)